Package org.globus.gsi.gssapi

# Class TokenInputStream

java.lang.Object
java.io.InputStream
org.globus.gsi.gssapi.TokenInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class TokenInputStream extends InputStream
Used as token-oriented input stream needed for SSL library I/O abstraction.

## Constructor Summary

Constructors
Constructor
Description
`TokenInputStream()`

## Method Summary

Modifier and Type
Method
Description
`int`
`available()`
`protected boolean`
`checkData()`
`void`
`close()`
`protected boolean`
`hasData()`
`void`
`putToken(byte[] buf, int off, int len)`
`int`
`read()`
`int`
`read(byte[] data)`
`int`
`read(byte[] data, int off, int len)`
`String`
`toString()`

### Methods inherited from class java.io.InputStream

`mark, markSupported, nullInputStream, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TokenInputStream

public TokenInputStream()

## Method Details

### putToken

public void putToken(byte[] buf, int off, int len)

### read

public int read(byte[] data) throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

### read

public int read(byte[] data, int off, int len) throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

### read

public int read() throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

### checkData

protected boolean checkData()

### hasData

protected boolean hasData()

### available

public int available() throws IOException

Overrides:
  `available` in class `InputStream`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `InputStream`
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`